Page MenuHomePhabricator

Clear watchlist of Grillitus@eswiktionary
Closed, ResolvedPublic

Description

I can't see, manage or clean the Watchlist from my bot "Grillitus", It created at least 700.000 articles in spanish wikctionary, sure that is the problem, the list is very extensive. I forgot to unmark "Add pages I create and files I upload to my watchlist"

Please can you delete the Watchlist from Grillitus?

SUL: https://tools.wmflabs.org/quentinv57-tools/tools/sulinfo.php?username=Grillitus

this is the reported error


WIKIMEDIA FOUNDATION
Error
Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed soon. Please try again in a few minutes.

If you report this error to the Wikimedia System Administrators, please include the details below.
Request: POST http://es.wiktionary.org/wiki/Especial:EditarSeguimiento/clear, from 10.64.32.105 via cp1066 cp1066 ([10.64.0.103]:3128), Varnish XID 1834651024
Forwarded for: 200.111.53.98, 10.64.32.105, 10.64.32.105
Error: 503, Service Unavailable at Mon, 13 Apr 2015 13:47:44 GMT


Event Timeline

Hprmedina raised the priority of this task from to Low.
Hprmedina updated the task description. (Show Details)
Hprmedina added a project: Wiktionary.
Hprmedina added a subscriber: Hprmedina.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2015, 1:53 PM
hoo renamed this task from I can't clean watchlist to Clear watchlist of Grillitus@eswiktionary.Apr 13 2015, 1:56 PM
hoo claimed this task.
hoo added a project: Wikimedia-Site-requests.
hoo set Security to None.
valhallasw added a subscriber: valhallasw.EditedApr 13 2015, 2:05 PM

See T68212#698926 for a javascript workaround. It will take a few hours (700k/50 => 14000s), though.

hoo added a comment.Apr 13 2015, 9:57 PM

Done, 1371736 rows were deleted:

hoo@terbium:~$ mwscript runBatchedQuery.php --wiki eswiktionary "DELETE FROM watchlist WHERE wl_user = 38059 LIMIT 5000;"
Batch 1: 5000 rows
Batch 2: 5000 rows
Batch 3: 5000 rows
Batch 4: 5000 rows
Batch 5: 5000 rows
Batch 6: 5000 rows
Batch 7: 5000 rows
Batch 8: 5000 rows
Batch 9: 5000 rows
Batch 10: 5000 rows
Batch 11: 5000 rows
Batch 12: 5000 rows
Batch 13: 5000 rows
Batch 14: 5000 rows
Batch 15: 5000 rows
Batch 16: 5000 rows
Batch 17: 5000 rows
Batch 18: 5000 rows
Batch 19: 5000 rows
Batch 20: 5000 rows
Batch 21: 5000 rows
Batch 22: 5000 rows
Batch 23: 5000 rows
Batch 24: 5000 rows
Batch 25: 5000 rows
Batch 26: 5000 rows
Batch 27: 5000 rows
Batch 28: 5000 rows
Batch 29: 5000 rows
Batch 30: 5000 rows
Batch 31: 5000 rows
Batch 32: 5000 rows
Batch 33: 5000 rows
Batch 34: 5000 rows
Batch 35: 5000 rows
Batch 36: 5000 rows
Batch 37: 5000 rows
Batch 38: 5000 rows
Batch 39: 5000 rows
Batch 40: 5000 rows
Batch 41: 5000 rows
Batch 42: 5000 rows
Batch 43: 5000 rows
Batch 44: 5000 rows
Batch 45: 5000 rows
Batch 46: 5000 rows
Batch 47: 5000 rows
Batch 48: 5000 rows
Batch 49: 5000 rows
Batch 50: 5000 rows
Batch 51: 5000 rows
Batch 52: 5000 rows
Batch 53: 5000 rows
Batch 54: 5000 rows
Batch 55: 5000 rows
Batch 56: 5000 rows
Batch 57: 5000 rows
Batch 58: 5000 rows
Batch 59: 5000 rows
Batch 60: 5000 rows
Batch 61: 5000 rows
Batch 62: 5000 rows
Batch 63: 5000 rows
Batch 64: 5000 rows
Batch 65: 5000 rows
Batch 66: 5000 rows
Batch 67: 5000 rows
Batch 68: 5000 rows
Batch 69: 5000 rows
Batch 70: 5000 rows
Batch 71: 5000 rows
Batch 72: 5000 rows
Batch 73: 5000 rows
Batch 74: 5000 rows
Batch 75: 5000 rows
Batch 76: 5000 rows
Batch 77: 5000 rows
Batch 78: 5000 rows
Batch 79: 5000 rows
Batch 80: 5000 rows
Batch 81: 5000 rows
Batch 82: 5000 rows
Batch 83: 5000 rows
Batch 84: 5000 rows
Batch 85: 5000 rows
Batch 86: 5000 rows
Batch 87: 5000 rows
Batch 88: 5000 rows
Batch 89: 5000 rows
Batch 90: 5000 rows
Batch 91: 5000 rows
Batch 92: 5000 rows
Batch 93: 5000 rows
Batch 94: 5000 rows
Batch 95: 5000 rows
Batch 96: 5000 rows
Batch 97: 5000 rows
Batch 98: 5000 rows
Batch 99: 5000 rows
Batch 100: 5000 rows
Batch 101: 5000 rows
Batch 102: 5000 rows
Batch 103: 5000 rows
Batch 104: 5000 rows
Batch 105: 5000 rows
Batch 106: 5000 rows
Batch 107: 5000 rows
Batch 108: 5000 rows
Batch 109: 5000 rows
Batch 110: 5000 rows
Batch 111: 5000 rows
Batch 112: 5000 rows
Batch 113: 5000 rows
Batch 114: 5000 rows
Batch 115: 5000 rows
Batch 116: 5000 rows
Batch 117: 5000 rows
Batch 118: 5000 rows
Batch 119: 5000 rows
Batch 120: 5000 rows
Batch 121: 5000 rows
Batch 122: 5000 rows
Batch 123: 5000 rows
Batch 124: 5000 rows
Batch 125: 5000 rows
Batch 126: 5000 rows
Batch 127: 5000 rows
Batch 128: 5000 rows
Batch 129: 5000 rows
Batch 130: 5000 rows
Batch 131: 5000 rows
Batch 132: 5000 rows
Batch 133: 5000 rows
Batch 134: 5000 rows
Batch 135: 5000 rows
Batch 136: 5000 rows
Batch 137: 5000 rows
Batch 138: 5000 rows
Batch 139: 5000 rows
Batch 140: 5000 rows
Batch 141: 5000 rows
Batch 142: 5000 rows
Batch 143: 5000 rows
Batch 144: 5000 rows
Batch 145: 5000 rows
Batch 146: 5000 rows
Batch 147: 5000 rows
Batch 148: 5000 rows
Batch 149: 5000 rows
Batch 150: 5000 rows
Batch 151: 5000 rows
Batch 152: 5000 rows
Batch 153: 5000 rows
Batch 154: 5000 rows
Batch 155: 5000 rows
Batch 156: 5000 rows
Batch 157: 5000 rows
Batch 158: 5000 rows
Batch 159: 5000 rows
Batch 160: 5000 rows
Batch 161: 5000 rows
Batch 162: 5000 rows
Batch 163: 5000 rows
Batch 164: 5000 rows
Batch 165: 5000 rows
Batch 166: 5000 rows
Batch 167: 5000 rows
Batch 168: 5000 rows
Batch 169: 5000 rows
Batch 170: 5000 rows
Batch 171: 5000 rows
Batch 172: 5000 rows
Batch 173: 5000 rows
Batch 174: 5000 rows
Batch 175: 5000 rows
Batch 176: 5000 rows
Batch 177: 5000 rows
Batch 178: 5000 rows
Batch 179: 5000 rows
Batch 180: 5000 rows
Batch 181: 5000 rows
Batch 182: 5000 rows
Batch 183: 5000 rows
Batch 184: 5000 rows
Batch 185: 5000 rows
Batch 186: 5000 rows
Batch 187: 5000 rows
Batch 188: 5000 rows
Batch 189: 5000 rows
Batch 190: 5000 rows
Batch 191: 5000 rows
Batch 192: 5000 rows
Batch 193: 5000 rows
Batch 194: 5000 rows
Batch 195: 5000 rows
Batch 196: 5000 rows
Batch 197: 5000 rows
Batch 198: 5000 rows
Batch 199: 5000 rows
Batch 200: 5000 rows
Batch 201: 5000 rows
Batch 202: 5000 rows
Batch 203: 5000 rows
Batch 204: 5000 rows
Batch 205: 5000 rows
Batch 206: 5000 rows
Batch 207: 5000 rows
Batch 208: 5000 rows
Batch 209: 5000 rows
Batch 210: 5000 rows
Batch 211: 5000 rows
Batch 212: 5000 rows
Batch 213: 5000 rows
Batch 214: 5000 rows
Batch 215: 5000 rows
Batch 216: 5000 rows
Batch 217: 5000 rows
Batch 218: 5000 rows
Batch 219: 5000 rows
Batch 220: 5000 rows
Batch 221: 5000 rows
Batch 222: 5000 rows
Batch 223: 5000 rows
Batch 224: 5000 rows
Batch 225: 5000 rows
Batch 226: 5000 rows
Batch 227: 5000 rows
Batch 228: 5000 rows
Batch 229: 5000 rows
Batch 230: 5000 rows
Batch 231: 5000 rows
Batch 232: 5000 rows
Batch 233: 5000 rows
Batch 234: 5000 rows
Batch 235: 5000 rows
Batch 236: 5000 rows
Batch 237: 5000 rows
Batch 238: 5000 rows
Batch 239: 5000 rows
Batch 240: 5000 rows
Batch 241: 5000 rows
Batch 242: 5000 rows
Batch 243: 5000 rows
Batch 244: 5000 rows
Batch 245: 5000 rows
Batch 246: 5000 rows
Batch 247: 5000 rows
Batch 248: 5000 rows
Batch 249: 5000 rows
Batch 250: 5000 rows
Batch 251: 5000 rows
Batch 252: 5000 rows
Batch 253: 5000 rows
Batch 254: 5000 rows
Batch 255: 5000 rows
Batch 256: 5000 rows
Batch 257: 5000 rows
Batch 258: 5000 rows
Batch 259: 5000 rows
Batch 260: 5000 rows
Batch 261: 5000 rows
Batch 262: 5000 rows
Batch 263: 5000 rows
Batch 264: 5000 rows
Batch 265: 5000 rows
Batch 266: 5000 rows
Batch 267: 5000 rows
Batch 268: 5000 rows
Batch 269: 5000 rows
Batch 270: 5000 rows
Batch 271: 5000 rows
Batch 272: 5000 rows
Batch 273: 5000 rows
Batch 274: 5000 rows
Batch 275: 1736 rows
Batch 276: 0 rows
hoo closed this task as Resolved.Apr 13 2015, 9:57 PM
Darkdadaah moved this task from Backlog to Resolved on the Wiktionary board.Apr 14 2015, 7:25 AM
Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:12 PM